Upload related person documents
curl --request POST \
--url https://sg.sandbox.api.reap.global/companies/{id}/related-persons/{personId}/documents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--header 'Reap-Version: <reap-version>' \
--form uboDocumentType=PASSPORT \
--form 'files=<string>'const form = new FormData();
form.append('uboDocumentType', 'PASSPORT');
form.append('files', '<string>');
const options = {
method: 'POST',
headers: {'Reap-Version': '<reap-version>', Authorization: 'Bearer <token>'}
};
options.body = form;
fetch('https://sg.sandbox.api.reap.global/companies/{id}/related-persons/{personId}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/companies/{id}/related-persons/{personId}/documents"
payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"uboDocumentType\"\r\n\r\nPASSPORT\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"files\"\r\n\r\n<string>\r\n-----011000010111000001101001--"
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fullName": "<string>",
"email": "jsmith@example.com",
"status": "NOT_STARTED",
"isActive": true,
"createdAt": "<string>",
"updatedAt": "<string>",
"nextAction": {
"type": "DOCUMENT_UPLOAD",
"documents": [
{
"documentType": "CERTIFICATE_OF_INCORPORATION",
"status": "REQUIRED"
}
]
}
}{
"error": {
"code": "RELATED_PERSON_DOCUMENT_NOT_DECLARED",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "COMPANY_VERIFICATION_METHOD_NOT_ENABLED",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "COMPANY_NOT_FOUND",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "COMPANY_APPLICATION_NOT_EDITABLE",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "APPLICATION_SUBMISSION_TOO_LARGE",
"message": "<string>",
"detail": {}
}
}Companies
Upload related person documents
Uploads one declared beneficial-owner identity document for a Universal KYB application. uboDocumentType must match a type declared for this person. Send the front image first, then the back if the document has two sides.
POST
/
companies
/
{id}
/
related-persons
/
{personId}
/
documents
Upload related person documents
curl --request POST \
--url https://sg.sandbox.api.reap.global/companies/{id}/related-persons/{personId}/documents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--header 'Reap-Version: <reap-version>' \
--form uboDocumentType=PASSPORT \
--form 'files=<string>'const form = new FormData();
form.append('uboDocumentType', 'PASSPORT');
form.append('files', '<string>');
const options = {
method: 'POST',
headers: {'Reap-Version': '<reap-version>', Authorization: 'Bearer <token>'}
};
options.body = form;
fetch('https://sg.sandbox.api.reap.global/companies/{id}/related-persons/{personId}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/companies/{id}/related-persons/{personId}/documents"
payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"uboDocumentType\"\r\n\r\nPASSPORT\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"files\"\r\n\r\n<string>\r\n-----011000010111000001101001--"
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fullName": "<string>",
"email": "jsmith@example.com",
"status": "NOT_STARTED",
"isActive": true,
"createdAt": "<string>",
"updatedAt": "<string>",
"nextAction": {
"type": "DOCUMENT_UPLOAD",
"documents": [
{
"documentType": "CERTIFICATE_OF_INCORPORATION",
"status": "REQUIRED"
}
]
}
}{
"error": {
"code": "RELATED_PERSON_DOCUMENT_NOT_DECLARED",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "COMPANY_VERIFICATION_METHOD_NOT_ENABLED",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "COMPANY_NOT_FOUND",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "COMPANY_APPLICATION_NOT_EDITABLE",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "APPLICATION_SUBMISSION_TOO_LARGE",
"message": "<string>",
"detail": {}
}
}Required scope: COMPANIES_WRITE
Headers
Path Parameters
Body
multipart/form-data
Multipart form uploading one beneficial-owner identity document type
Response
Response for status 200
Related person after uploading an identity document